/**
 * Theme functions file.
 */
(function($) {
  "use strict";

  $(document).ready(function($){

    var $body = $('body');

    $('#nav-toggle').on( 'click', function(e) {
      e.preventDefault();
      $(this).next('.menu-container, .nav-menu').slideToggle(300);
    });

    if( $body.hasClass( 'has-sticky-menu' ) ) {
      $(window).scroll(function() {
        if ($(this).scrollTop() >= 290) {
            $('.sticky-menu').fadeIn(500);
        } else {
            $('.sticky-menu').fadeOut(500);
        }
      });
    }

    if( $.fn.owlCarousel !== undefined && $.fn.imagesLoaded !== undefined ) {
      $( '.format-gallery-carousel' ).imagesLoaded(function() { 
        $( '.format-gallery-carousel' ).owlCarousel({
            items: 1,
            margin: 0,
            loop: true,
            autoHeight: true,
            smartSpeed: 600,
            nav: true,
            dots: false,
            navText : [ '<i class="fa fa-angle-left"></i>', '<i class="fa fa-angle-right"></i>']
        });
      });
    }

  });
})(jQuery);