<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage The Universe
 * @since 1.0
 * @version 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="profile" href="http://gmpg.org/xfn/11">

  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="page" class="hfeed site">

  <header id="musthead" class="site-header">
    <div class="container">

      <?php 
        $primary_navigation = wp_nav_menu( array( 
          'theme_location'  => 'primary',
          'menu_class'      => 'nav-menu',
          'container_class' => 'menu-container',
          'echo'            => false,
          'item_spacing'    => 'discard'
        ) ); 

        if( $primary_navigation ) {
          printf( '<nav id="primary-navigation" class="primary-navigation"><a href="#" id="nav-toggle" class="nav-toggle"><i class="menu-icon"></i>%s</a>%s</nav>', esc_html__( 'Menu', 'the-universe' ), $primary_navigation ); 
        }

        if( $primary_navigation && get_theme_mod( 'display_sticky_menu', 1 ) ) {
          printf( '<div class="sticky-menu"><div class="primary-navigation">%s</div></div>', $primary_navigation ); 
        }
      ?>

      <div class="site-identity">
        <?php the_universe_site_identity(); ?>
        <?php the_universe_social_profiles(); ?>
      </div>

    </div>
  </header>
  
  <div class="container">
    <div id="content" class="site-content">
