<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive.
 *
 * @since The Universe 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <?php the_universe_post_thumbnail(); ?>
  
  <div class="inner">
    <header class="entry-header">
    <?php 
      if( is_sticky() && is_home() && ! is_paged() ) : ?>
        <span class="sticky-badge"><i class="fa fa-star-o"></i></span>
      <?php
      endif;
      
      the_universe_category_list();
      
      if ( is_single() ) :
        the_title( '<h1 class="entry-title">', '</h1>' );
      else :
        the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
      endif;
      
      the_universe_entry_meta( '<div class="entry-meta">', '</div>' ); 
    ?>
    </header><!-- .entry-header -->

    <?php if( is_search() ) : ?>
      <?php if( get_the_excerpt() ) : ?>
      <div class="entry-summary">
      <?php the_excerpt(); ?>
      </div><!-- .entry-summary -->
      <?php endif; ?>
    <?php else : ?>
      <div class="entry-content">
      <?php
        the_content( esc_html__( 'Read More', 'the-universe' ) );
        
        wp_link_pages( array(
          'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'the-universe' ) . '</span>',
          'after'       => '</div>',
          'link_before' => '<span>',
          'link_after'  => '</span>',
          'pagelink'    => ' %',
          'separator'   => ' ',
        ) );
      ?>  
      </div><!-- .entry-content -->
    <?php endif; ?>

    <?php the_universe_entry_footer( get_theme_mod( 'display_tags_list', 1 ), get_theme_mod( 'display_share_buttons', 1 ), '<footer class="entry-footer">', '</footer>' ); ?>
  </div>
</article><!-- #post-## -->
